" Custom theme from tforgione base on the following :
" Vim color file
" Maintainer: David Ne\v{c}as (Yeti) <yeti@physics.muni.cz>
" Last Change: 2003-04-23
" URL: http://trific.ath.cx/Ftp/vim/colors/peachpuff.vim

" This color scheme uses a peachpuff background (what you've expected when it's
" called peachpuff?).
"
" Note: Only GUI colors differ from default, on terminal it's just `light'.

" First remove all existing highlighting.
set background=dark
hi clear
if exists("syntax_on")
  syntax reset
endif

let colors_name = "peachpuff"

hi Normal guibg=transparent guifg=white

hi SpecialKey term=bold ctermfg=4 guifg=#005fff
hi NonText term=bold cterm=bold ctermfg=4 gui=bold guifg=#005fff
hi Directory term=bold ctermfg=4 guifg=#005fff
hi ErrorMsg term=standout cterm=bold ctermfg=7 ctermbg=1 gui=bold guifg=White guibg=Red
hi IncSearch term=reverse cterm=reverse gui=reverse
hi Search term=reverse ctermbg=3 guibg=Gold2
hi MoreMsg term=bold ctermfg=2 gui=bold guifg=SeaGreen
hi ModeMsg term=bold cterm=bold gui=bold
hi LineNr term=underline ctermfg=3 guifg=#444444
hi Question term=standout ctermfg=2 gui=bold guifg=SeaGreen
hi StatusLine term=bold,reverse cterm=bold,reverse gui=bold guifg=White guibg=Black
hi StatusLineNC term=reverse cterm=reverse gui=bold guifg=PeachPuff guibg=Gray45
hi VertSplit term=reverse cterm=reverse gui=bold guifg=White guibg=Gray45
hi Title term=bold ctermfg=5 gui=bold guifg=DeepPink3
hi Visual ctermbg=7
hi VisualNOS ctermbg=7
" hi Visual term=reverse cterm=reverse gui=reverse
" hi VisualNOS term=bold,underline cterm=bold,underline gui=bold,underline
hi WarningMsg term=standout ctermfg=1 gui=bold guifg=Red
hi WildMenu term=standout ctermfg=0 ctermbg=3 guifg=Black guibg=Yellow
hi Folded term=standout ctermfg=4 ctermbg=7 guifg=Black guibg=#e3c1a5
hi FoldColumn term=standout ctermfg=4 ctermbg=7 guifg=DarkBlue guibg=Gray80
hi DiffAdd term=bold ctermbg=4 guibg=White
hi DiffChange term=bold ctermbg=5 guibg=#edb5cd
hi DiffDelete term=bold cterm=bold ctermfg=4 ctermbg=6 gui=bold guifg=LightBlue guibg=#f6e8d0
hi DiffText term=reverse cterm=bold ctermbg=1 gui=bold guibg=#ff8060
hi Cursor guifg=bg guibg=fg
hi lCursor guifg=bg guibg=fg

" Colors for syntax highlighting
" 0 = black
" 1 = red
" 2 = green
" 3 = yellow
" 4 = light blue
" 5 = magenta
" 6 = cyan
" 7 = white
hi String ctermfg=5 guifg=#cd00cd
hi Pmenu ctermfg=7 ctermbg=235
hi Comment term=bold cterm=italic ctermfg=27 gui=italic guifg=#005fff
hi Constant term=underline ctermfg=5 guifg=#cd00cd
hi Special term=underline ctermfg=5 guifg=#cd00cd
hi Identifier term=underline cterm=NONE ctermfg=87 guifg=#5fffff
hi Function term=underline cterm=NONE ctermfg=87 guifg=#5fffff
hi Statement term=bold cterm=none ctermfg=190 gui=none guifg=#d7ff00
hi PreProc term=underline ctermfg=166 guifg=#d75f00
hi Type term=underline ctermfg=46 guifg=#00ff00
hi Ignore ctermfg=7 guifg=bg
hi Error ctermfg=7 ctermbg=1 gui=bold guifg=White guibg=#ff0000
hi Todo term=standout ctermfg=0 ctermbg=3 guifg=Blue guibg=#d7ff00
hi YcmErrorSection ctermfg=1 cterm=reverse
hi SpellBad cterm=underline,bold ctermfg=1 ctermbg=none
hi ALEWarning cterm=underline,bold ctermfg=202 ctermbg=none
hi ALEWarningSign cterm=bold ctermfg=202 ctermbg=202 ctermfg=7
hi CocInlayHint cterm=italic ctermfg=238 ctermbg=none guibg=none

hi DiagnosticError guifg=#ff0000
hi DiagnosticWarn guifg=#d7ff00
hi DiagnosticHint guifg=#005fff
hi DiagnosticInfo guifg=#005fff
